Bug 10550 - Fix database typo wthdrawn
Summary: Fix database typo wthdrawn
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 9673 12871
  Show dependency treegraph
 
Reported: 2013-07-07 09:53 UTC by Katrin Fischer
Modified: 2015-06-21 10:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10550 - Fix database typo wthdrawn (240.99 KB, patch)
2013-07-08 16:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10550 - Fix database typo wthdrawn (238.14 KB, patch)
2013-07-08 16:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10550 - Fix database typo wthdrawn (239.10 KB, patch)
2013-07-09 10:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10550 - Fix database typo wthdrawn (239.32 KB, patch)
2013-08-08 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10550 - Fix database typo wthdrawn (239.79 KB, patch)
2013-08-08 18:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10550 - Fix database typo wthdrawn (239.84 KB, patch)
2013-08-19 13:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10550: Merge 2 updatedatabase entries into 1 (1.30 KB, patch)
2013-08-19 13:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-07-07 09:53:59 UTC
Citing Galen's mail from May 22nd:

However, now that we're at the very beginning of the 3.14 cycle, the window is now open for the sort of patch that offers cosmetic or textual improvement but which also happens to touch a lot of code.  If there are longstanding typos you want to fix (my "favorite" is the wthdrawn column in the items table), now is your chance.  I'm not setting a definite end to the window at this point, but suffice it to say that I will be much more likely to merge such patches now as opposed to three months from now.



Time is running ;)
Comment 1 Kyle M Hall 2013-07-08 16:01:23 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-07-08 16:06:13 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-07-08 23:09:10 UTC
Should we also be nice and update saved reports using wthdrawn?
Comment 4 Kyle M Hall 2013-07-09 10:28:19 UTC
I think that's a good and sensible idea!
Comment 5 Kyle M Hall 2013-07-09 10:49:19 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2013-08-07 00:00:25 UTC
Kyle,
all seems allright, but on loaded frameworks we still have incorrect values,
I think we need something like

UPDATE marc_subfield_structure SET kohafield = 'items.withdrawn' WHERE kohafield = 'items.wthdrawn';

Regards
Comment 7 Katrin Fischer 2013-08-07 08:11:16 UTC
Thx Bernardo for spotting this!
Comment 8 Kyle M Hall 2013-08-07 12:14:41 UTC
Indeed, good catch!
Comment 9 Kyle M Hall 2013-08-08 17:16:26 UTC Comment hidden (obsolete)
Comment 10 Bernardo Gonzalez Kriegel 2013-08-08 18:13:24 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-08-19 13:09:28 UTC
QA comment:

All looks good.

Note that 1 authorized value named "WTHDRAWN" still exists.

Marked as Passed QA.
Comment 12 Jonathan Druart 2013-08-19 13:09:48 UTC
Created attachment 20457 [details] [review]
Bug 10550 - Fix database typo wthdrawn

This patch updates the wthdrawn field in items and deleteditems to be
withdrawn instead. No functional changes are made.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Save for translation files (that will be fixed on next release),
only occurrence of wthdrawn is on updatedatabase.pl
No koha-qa errors.

This touch many files, and I did not test everything,
but all seems normal. I think that any problem could
be fixed later.

Perhaps both entries in updatedatabase.pl could be joined
into one, but thats for QA.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Jonathan Druart 2013-08-19 13:09:53 UTC
Created attachment 20458 [details] [review]
Bug 10550: Merge 2 updatedatabase entries into 1

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Galen Charlton 2013-09-08 02:05:25 UTC
Pushed to master, along with a couple follow-ups.  Thanks, Kyle!
Comment 15 Jonathan Druart 2013-09-09 07:46:47 UTC
Added to qa tools:
commit c90d0c5e5436daec23d2c6e21e5759e8344ad1f5
Author:     Jonathan Druart <jonathan.druart@biblibre.com>
AuthorDate: Mon Sep 9 09:45:10 2013 +0200
    wthdrawn is a typo (see bug 10550).
Comment 16 Katrin Fischer 2013-09-09 08:19:33 UTC
Thx Jonathan!
Comment 17 Nicholas van Oudtshoorn 2015-06-18 06:11:46 UTC
Just to note that the MARC frameworks on the wiki ( http://wiki.koha-community.org/wiki/MARC_frameworks ) weren't updated with this bug. It's now done.
Comment 18 Katrin Fischer 2015-06-21 10:41:28 UTC
Thx Nicholas!